---
.lint_yaml:
  image: python:3.7.2-slim-stretch
  before_script:
    - pip install yamllint
  script:
    - yamllint .

.lint_markdown:
  image: pipelinecomponents/markdownlint
  variables:
    OPTIONS: "-r ~MD013"
    MD_FILE: "*.md"
  script:
    - mdl $OPTIONS $MD_FILE

.lint_shellcheck:
  allow_failure: false
  variables:
    SHELLCHECK_IMAGE: koalaman/shellcheck-alpine
    SHELLCHECK_SCRIPTS: "*.sh"
  image: $SHELLCHECK_IMAGE
  script:
    - shellcheck ${SHELLCHECK_SCRIPTS}

.lint_ansible:
  image: registry.gitlab.com/devopsworks/containers/ansible-in-docker:${ANSIBLE_DOCKER_IMAGE_VERSION}
  variables:
    OPTIONS: ""
    ANSIBLE_DOCKER_IMAGE_VERSION: 2.9
    PLAYBOOK_FILE: "playbook.yml"
  script:
    - ansible-lint $OPTIONS $PLAYBOOK_FILE
